Index: /extensions/CryptograPHP/admin.php
===================================================================
--- /extensions/CryptograPHP/admin.php	(revision 15995)
+++ /extensions/CryptograPHP/admin.php	(revision 15996)
@@ -1,4 +1,10 @@
 <?php
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $pwg_loaded_plugins;
+$loaded = array();
+if (isset($pwg_loaded_plugins['ContactForm'])) $loaded['contactform'] = true;
+if (isset($pwg_loaded_plugins['Comments_on_Albums'])) $loaded['category'] = true;
+if (isset($pwg_loaded_plugins['GuestBook'])) $loaded['guestbook'] = true;
 
 // $conf['cryptographp'] = unserialize($conf['cryptographp']);
@@ -8,4 +14,11 @@
 {
   $conf['cryptographp'] = array(
+    'activate_on'     => array(
+          'picture'     => isset($_POST['activate_on']['picture']),
+          'category'    => isset($_POST['activate_on']['category']) || !isset($loaded['category']),
+          'register'    => isset($_POST['activate_on']['register']),
+          'contactform' => isset($_POST['activate_on']['contactform']) || !isset($loaded['contactform']),
+          'guestbook'   => isset($_POST['activate_on']['guestbook']) || !isset($loaded['guestbook']),
+          ),
     'comments_action' => $_POST['comments_action'],
     'theme'           => $_POST['theme'],
@@ -73,8 +86,7 @@
 }
 
-$template->set_filename('plugin_admin_content', dirname(__FILE__).'/template/admin.tpl');
-
 $template->assign(array(
   'crypto' => $conf['cryptographp'],
+  'loaded' => $loaded,
   'fonts' => list_fonts(CRYPTO_PATH.'securimage/fonts'),
   'presets' => array_keys($presets),
@@ -83,4 +95,5 @@
   ));
 
+$template->set_filename('plugin_admin_content', dirname(__FILE__).'/template/admin.tpl');
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 
Index: /extensions/CryptograPHP/include/guestbook.inc.php
===================================================================
--- /extensions/CryptograPHP/include/guestbook.inc.php	(revision 15996)
+++ /extensions/CryptograPHP/include/guestbook.inc.php	(revision 15996)
@@ -0,0 +1,52 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+load_language('plugin.lang', CRYPTO_PATH);
+add_event_handler('loc_begin_index', 'add_crypto');
+add_event_handler('user_comment_check_guestbook', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+
+function add_crypto()
+{
+  global $template;
+  
+  if (!is_a_guest()) return;
+  
+  $template->set_prefilter('index', 'prefilter_crypto');
+}
+
+function prefilter_crypto($content, $smarty)
+{
+  global $conf;
+  
+  $search = '<p><textarea name="content" id="contentid" rows="5" cols="60">{$comment_add.CONTENT}</textarea></p>';
+  $replace = $search.'
+				<p><label>{\''.($conf['cryptographp']['captcha_type']=='string'?'Enter code':'Solve equation').'\'|@translate} :</label></p>
+				<p>
+				  <img id="captcha" src="'.CRYPTO_PATH.'securimage/securimage_show.php" alt="CAPTCHA Image">
+				  <a href="#" onclick="document.getElementById(\'captcha\').src = \''.CRYPTO_PATH.'securimage/securimage_show.php?\' + Math.random(); return false">
+				    <img src="'.CRYPTO_PATH.'template/refresh.png"></a>
+          <input type="text" name="captcha_code" style="width:'.$conf['cryptographp']['code_length'].'em;" maxlength="'.$conf['cryptographp']['code_length'].'" />
+				</p>';
+
+  return str_replace($search, $replace, $content);
+}
+
+function check_crypto($action, $comment)
+{
+  global $conf, $page;
+  
+  include_once(CRYPTO_PATH.'securimage/securimage.php');
+  $securimage = new Securimage();
+
+  if (!is_a_guest()) return $action;
+
+  if ($securimage->check($_POST['captcha_code']) == false)
+  {
+    array_push($page['errors'], l10n('Invalid Captcha'));
+    return 'reject';
+  }
+
+  return $action;
+}
+
+?>
Index: /extensions/CryptograPHP/include/index.php
===================================================================
--- /extensions/CryptograPHP/include/index.php	(revision 15995)
+++ /extensions/CryptograPHP/include/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/index.php
===================================================================
--- /extensions/CryptograPHP/index.php	(revision 15995)
+++ /extensions/CryptograPHP/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/cs_CZ/index.php
===================================================================
--- /extensions/CryptograPHP/language/cs_CZ/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/cs_CZ/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/cs_CZ/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/cs_CZ/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Komentáře akce';
 $lang['Moderate'] = 'Moderovat';
-$lang['No captcha'] = 'Bez captcha kódu';
 
 $lang['Background color'] = 'barva pozadí';
Index: /extensions/CryptograPHP/language/de_DE/index.php
===================================================================
--- /extensions/CryptograPHP/language/de_DE/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/de_DE/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/de_DE/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/de_DE/plugin.lang.php	(revision 15996)
@@ -33,5 +33,4 @@
 $lang['Lines density'] = 'Linien Dichte';
 $lang['Moderate'] = 'Moderate';
-$lang['No captcha'] = 'Kein Captcha';
 $lang['Noise color'] = 'Rauschfarbe';
 $lang['Noise level'] = 'Rauschpegel';
Index: /extensions/CryptograPHP/language/el_GR/index.php
===================================================================
--- /extensions/CryptograPHP/language/el_GR/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/el_GR/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/el_GR/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/el_GR/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Ενέργεια σχολίου';
 $lang['Moderate'] = 'Μέτριο';
-$lang['No captcha'] = 'Χωρίς  captcha';
 
 $lang['Captcha type'] = 'Τύπος Captcha ';
Index: /extensions/CryptograPHP/language/en_UK/index.php
===================================================================
--- /extensions/CryptograPHP/language/en_UK/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/en_UK/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/en_UK/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/en_UK/plugin.lang.php	(revision 15996)
@@ -7,5 +7,4 @@
 $lang['Comments action'] = 'Comments action';
 $lang['Moderate'] = 'Moderate';
-$lang['No captcha'] = 'No captcha';
 $lang['Captcha type'] = 'Captcha type';
 $lang['Random string'] = 'Random string';
@@ -15,4 +14,10 @@
 $lang['good value:'] = 'good value:';
 $lang['Captcha theme'] = 'Captcha theme';
+$lang['Activate on'] = 'Activate on';
+$lang['Picture comments'] = 'Picture comments';
+$lang['Album comments'] = 'Album comments';
+$lang['Register form'] = 'Register form';
+$lang['Contact form'] = 'Contact form';
+$lang['Guestbook'] = 'Guestbook';
 
 $lang['Perturbation'] = 'Perturbation';
Index: /extensions/CryptograPHP/language/es_ES/index.php
===================================================================
--- /extensions/CryptograPHP/language/es_ES/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/es_ES/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/es_ES/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/es_ES/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Acción para los Comentario';
 $lang['Moderate'] = 'Moderar';
-$lang['No captcha'] = 'No hay captcha';
 
 $lang['Background color'] = 'Color de fondo';
Index: /extensions/CryptograPHP/language/fr_FR/index.php
===================================================================
--- /extensions/CryptograPHP/language/fr_FR/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/fr_FR/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/fr_FR/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/fr_FR/plugin.lang.php	(revision 15996)
@@ -7,5 +7,4 @@
 $lang['Comments action'] = 'Action pour les commentaires';
 $lang['Moderate'] = 'Modérer';
-$lang['No captcha'] = 'Pas de captcha';
 $lang['Captcha type'] = 'Type de captcha';
 $lang['Random string'] = 'Code aléatoire';
@@ -15,4 +14,10 @@
 $lang['good value:'] = 'conseillé:';
 $lang['Captcha theme'] = 'Thème du captcha';
+$lang['Activate on'] = 'Activer sur';
+$lang['Picture comments'] = 'Commentaires photo';
+$lang['Album comments'] = 'Commentaire album';
+$lang['Register form'] = 'Formulaire d\'enregistrement';
+$lang['Contact form'] = 'Formulaire de contact';
+$lang['Guestbook'] = 'Livre d\'or';
 
 $lang['Perturbation'] = 'Perturbation';
Index: /extensions/CryptograPHP/language/hu_HU/index.php
===================================================================
--- /extensions/CryptograPHP/language/hu_HU/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/hu_HU/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/hu_HU/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/hu_HU/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Hozzászólás műveletek';
 $lang['Moderate'] = 'Moderálás';
-$lang['No captcha'] = 'Nem captcha';
 
 $lang['Background color'] = 'Háttérszín';
Index: /extensions/CryptograPHP/language/index.php
===================================================================
--- /extensions/CryptograPHP/language/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/it_IT/index.php
===================================================================
--- /extensions/CryptograPHP/language/it_IT/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/it_IT/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/it_IT/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/it_IT/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Azione per i commenti';
 $lang['Moderate'] = 'Moderare';
-$lang['No captcha'] = 'Nessun captcha';
 
 $lang['Background color'] = 'Colore di sfondo';
Index: /extensions/CryptograPHP/language/lv_LV/index.php
===================================================================
--- /extensions/CryptograPHP/language/lv_LV/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/lv_LV/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/lv_LV/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/lv_LV/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Darbība ar komentāriem';
 $lang['Moderate'] = 'Apmierinošs';
-$lang['No captcha'] = 'Nav captcha';
 
 $lang['Background color'] = 'Fona krāsa';
Index: /extensions/CryptograPHP/language/pl_PL/index.php
===================================================================
--- /extensions/CryptograPHP/language/pl_PL/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/pl_PL/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/pl_PL/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/pl_PL/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Invalid Captcha'] = 'Nieprawidłowy kod';
 $lang['Moderate'] = 'Średni';
-$lang['No captcha'] = 'Brak captcha';
 
 $lang['Background color'] = 'Kolor tła';
Index: /extensions/CryptograPHP/language/ru_RU/index.php
===================================================================
--- /extensions/CryptograPHP/language/ru_RU/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/ru_RU/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/ru_RU/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/ru_RU/plugin.lang.php	(revision 15996)
@@ -33,5 +33,4 @@
 $lang['Lines density'] = 'Плотность линий';
 $lang['Moderate'] = 'Проверить';
-$lang['No captcha'] = 'Каптча отсутствует';
 $lang['Noise color'] = 'Цветной шум';
 $lang['Noise level'] = 'Уровень шума';
Index: /extensions/CryptograPHP/language/uk_UA/index.php
===================================================================
--- /extensions/CryptograPHP/language/uk_UA/index.php	(revision 15995)
+++ /extensions/CryptograPHP/language/uk_UA/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/uk_UA/plugin.lang.php	(revision 15995)
+++ /extensions/CryptograPHP/language/uk_UA/plugin.lang.php	(revision 15996)
@@ -26,5 +26,4 @@
 $lang['Invalid Captcha'] = 'Невірна каптча';
 $lang['Moderate'] = 'Перевірити';
-$lang['No captcha'] = 'Немає капчі';
 $lang['Random string'] = 'Випадковий рядок';
 $lang['Solve equation'] = 'Вирішіть рівняння';
Index: /extensions/CryptograPHP/main.inc.php
===================================================================
--- /extensions/CryptograPHP/main.inc.php	(revision 15995)
+++ /extensions/CryptograPHP/main.inc.php	(revision 15996)
@@ -33,15 +33,19 @@
   $conf['cryptographp'] = unserialize($conf['cryptographp']);
   
-  if (script_basename() == 'register')
+  if (script_basename() == 'register' and $conf['cryptographp']['activate_on']['register'])
   {
     include(CRYPTO_PATH.'include/register.inc.php');
   }
-  else if (script_basename() == 'picture' and $conf['cryptographp']['comments_action'] != 'inactive')
+  else if (script_basename() == 'picture' and $conf['cryptographp']['activate_on']['picture'])
   {
     include(CRYPTO_PATH.'include/picture.inc.php');
   }
-  else if (isset($_GET['/contact'])) 
+  else if (isset($_GET['/contact']) and $conf['cryptographp']['activate_on']['contactform']) 
   {
     include(CRYPTO_PATH.'include/contactform.inc.php');
+  }
+  else if (isset($_GET['/guestbook']) and $conf['cryptographp']['activate_on']['guestbook']) 
+  {
+    include(CRYPTO_PATH.'include/guestbook.inc.php');
   }
 }
@@ -49,8 +53,10 @@
 function crypto_section_init()
 {
-  global $conf, $pwg_loaded_plugins, $page;
+  global $conf, $pwg_loaded_plugins, $page, $user;
+  
+  if ($user['theme'] == 'smartpocket') return;
   
   if (
-    script_basename() == 'index' and $conf['cryptographp']['comments_action'] != 'inactive' and 
+    script_basename() == 'index' and $conf['cryptographp']['activate_on']['category'] and 
     isset($pwg_loaded_plugins['Comments_on_Albums']) and isset($page['section']) and 
     $page['section'] == 'categories' and isset($page['category'])
Index: /extensions/CryptograPHP/maintain.inc.php
===================================================================
--- /extensions/CryptograPHP/maintain.inc.php	(revision 15995)
+++ /extensions/CryptograPHP/maintain.inc.php	(revision 15996)
@@ -1,4 +1,11 @@
 <?php
 define('crypto_default_config', serialize(array(
+  'activate_on'     => array(
+        'picture'     => true,
+        'catgeory'    => true,
+        'register'    => true,
+        'contactform' => true,
+        'guestbook'   => true,
+        ),
   'comments_action' => 'reject',
   'theme'           => 'gray',
@@ -6,6 +13,6 @@
   'case_sensitive'  => 'false',
   'code_length'     => 6,
-  'width'           => 120, 
-  'height'          => 40,
+  'width'           => 180, 
+  'height'          => 70,
   'perturbation'    => 1, 
   'image_bg_color'  => 'ffffff', 
@@ -22,8 +29,5 @@
   global $conf;
   
-  if (!isset($conf['cryptographp']))
-  {
-    pwg_query('INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("cryptographp",\''.crypto_default_config.'\',"CryptograPHP config");');
-  }
+  conf_update_param('cryptographp', crypto_default_config);
 }
 
@@ -39,5 +43,20 @@
   if (!isset($conf['cryptographp']))
   {
-    pwg_query('INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("cryptographp",\''.crypto_default_config.'\',"CryptograPHP config");');
+    conf_update_param('cryptographp', crypto_default_config);
+  }
+  else
+  {
+    $conf['cryptographp'] = unserialize($conf['cryptographp']);
+    if (!isset($conf['cryptographp']['activate_on']))
+    {
+      $conf['cryptographp']['activate_on'] = array(
+        'picture'     => $conf['cryptographp']['comments_action'] != 'inactive',
+        'category'    => $conf['cryptographp']['comments_action'] != 'inactive',
+        'register'    => true,
+        'contactform' => true,
+        'guestbook'   => true,
+        );
+      conf_update_param('cryptographp', serialize($conf['cryptographp']));
+    }
   }
 }
Index: /extensions/CryptograPHP/securimage/backgrounds/index.php
===================================================================
--- /extensions/CryptograPHP/securimage/backgrounds/index.php	(revision 15996)
+++ /extensions/CryptograPHP/securimage/backgrounds/index.php	(revision 15996)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CryptograPHP/securimage/fonts/index.php
===================================================================
--- /extensions/CryptograPHP/securimage/fonts/index.php	(revision 15996)
+++ /extensions/CryptograPHP/securimage/fonts/index.php	(revision 15996)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CryptograPHP/securimage/index.php
===================================================================
--- /extensions/CryptograPHP/securimage/index.php	(revision 15995)
+++ /extensions/CryptograPHP/securimage/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/template/admin.tpl
===================================================================
--- /extensions/CryptograPHP/template/admin.tpl	(revision 15995)
+++ /extensions/CryptograPHP/template/admin.tpl	(revision 15996)
@@ -128,8 +128,15 @@
   <legend>{'Configuration'|@translate}</legend>
   
-  <ul>			
+  <ul>
+    <li>
+      <span class="property">{'Activate on'|@translate}</span>
+      <label><input type="checkbox" name="activate_on[picture]" value="1" {if $crypto.activate_on.picture}checked="checked"{/if}> {'Picture comments'|@translate}</label>
+      {if $loaded.category}<label><input type="checkbox" name="activate_on[category]" value="1" {if $crypto.activate_on.category}checked="checked"{/if}> {'Album comments'|@translate}</label>{/if}
+      <label><input type="checkbox" name="activate_on[register]" value="1" {if $crypto.activate_on.register}checked="checked"{/if}> {'Register form'|@translate}</label>
+      {if $loaded.contactform}<label><input type="checkbox" name="activate_on[contactform]" value="1" {if $crypto.activate_on.contactform}checked="checked"{/if}> {'Contact form'|@translate}</label>{/if}
+      {if $loaded.guestbook}<label><input type="checkbox" name="activate_on[guestbook]" value="1" {if $crypto.activate_on.guestbook}checked="checked"{/if}> {'Guestbook'|@translate}</label>{/if}
+    </li>
     <li>
       <span class="property">{'Comments action'|@translate}</span>
-      <label><input type="radio" name="comments_action" value="inactive" {if $crypto.comments_action == 'inactive'}checked="checked"{/if}> {'No captcha'|@translate}</label>
       <label><input type="radio" name="comments_action" value="reject" {if $crypto.comments_action == 'reject'}checked="checked"{/if}> {'Reject'|@translate}</label>
       <label><input type="radio" name="comments_action" value="moderate" {if $crypto.comments_action == 'moderate'}checked="checked"{/if}> {'Moderate'|@translate}</label>
@@ -151,9 +158,9 @@
     <li>
       <span class="property">{'Width'|@translate}</span>
-      <label><input type="text" name="width" class="preview" value="{$crypto.width}" size="6" maxlength="3"> {'good value:'|@translate} lenght&times;20</label>
+      <label><input type="text" name="width" class="preview" value="{$crypto.width}" size="6" maxlength="3"> {'good value:'|@translate} lenght&times;30</label>
     </li>
     <li>
       <span class="property">{'Height'|@translate}</span>
-      <label><input type="text" name="height" class="preview" value="{$crypto.height}" size="6" maxlength="3"> {'good value:'|@translate} width/4</label>
+      <label><input type="text" name="height" class="preview" value="{$crypto.height}" size="6" maxlength="3"> {'good value:'|@translate} lenght&times;12</label>
     </li>
     <li>
Index: /extensions/CryptograPHP/template/colorpicker/index.php
===================================================================
--- /extensions/CryptograPHP/template/colorpicker/index.php	(revision 15995)
+++ /extensions/CryptograPHP/template/colorpicker/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/template/index.php
===================================================================
--- /extensions/CryptograPHP/template/index.php	(revision 15995)
+++ /extensions/CryptograPHP/template/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/CryptograPHP/template/presets/index.php
===================================================================
--- /extensions/CryptograPHP/template/presets/index.php	(revision 15995)
+++ /extensions/CryptograPHP/template/presets/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
